Bug 492359 - Nouveau detects proper resolution, but doesn't use it [QA/Test Days/2009-03-26]
Nouveau detects proper resolution, but doesn't use it [QA/Test Days/2009-03-26]
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 12:02 EDT by Reto Schneider
Modified: 2009-05-28 16:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 16:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (179.64 KB, text/plain)
2009-03-26 12:02 EDT, Reto Schneider
no flags Details
xrandr output (412 bytes, text/plain)
2009-03-26 12:03 EDT, Reto Schneider
no flags Details
output of monitor-edid (root) (734 bytes, text/plain)
2009-03-26 12:04 EDT, Reto Schneider
no flags Details

  None (edit)
Description Reto Schneider 2009-03-26 12:02:14 EDT
Created attachment 336840 [details]
Xorg.0.log

Description of problem:

Nouveau (I'm using the i386 live-CD) selects 1280x960 instead of the IMHO more appropriate 1280x1024. Switching to 1280x1024 is possible without any problems.

Version-Release number of selected component (if applicable):
I'm using the i386 live-CD of the QA/Test Days/2009-03-26

How reproducible:
Restart computer with this live-CD
  
Actual results:
Default resolution is 1280x960

Expected results:
Default resolution is 1280x1024

Additional info:
GFX-Card: Geforce 8600gt, using a DVI-VGA converter
Monitor: Peacock Ergovision 19, using VGA input
Comment 1 Reto Schneider 2009-03-26 12:03:04 EDT
Created attachment 336841 [details]
xrandr output
Comment 2 Reto Schneider 2009-03-26 12:04:22 EDT
Created attachment 336842 [details]
output of monitor-edid (root)
Comment 3 Adam Williamson 2009-03-26 12:07:28 EDT
Thanks for the report.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Ben Skeggs 2009-05-27 02:00:53 EDT
Sorry for the delay in response, can you test the build of xorg-x11-server-Xorg available from http://koji.fedoraproject.org/koji/taskinfo?taskID=1378977 ?  I've added a quirk to fix the EDID reported by your monitor, so the correct mode should be chosen by default now.

Thanks!
Comment 5 Reto Schneider 2009-05-28 16:40:19 EDT
Great, it worked. Thanks!
Comment 6 Ben Skeggs 2009-05-28 16:53:05 EDT
Excellent :)

Note You need to log in before you can comment on or make changes to this bug.